This is a developer reference. For a high-level description of BBOT events including a full list of event types, see [Events](../../scanning/events)

::: bbot.core.event.base.make_event
::: bbot.core.event.base.event_from_json

::: bbot.core.event.base.BaseEvent
    options:
      members:
        - __init__
        - json
        - from_json
        - pretty_string
        - module_sequence
        - make_internal
        - unmake_internal
        - set_scope_distance
